%define upstream_name    Catalyst-Plugin-Static-Simple-ByClass
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Locate static content in @INC
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Catalyst::Plugin::Static::Simple::ByClass is a subclass of
Catalyst::Plugin::Static::Simple. It extends the base class to alter the
include_path config to include @INC paths for classes. The idea is that you can
distribute static files (.js and .css for example) with applications, and those
files can be served during development directly from the installed @INC
location.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.0-7.mga10
+ Revision: 2197751
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.5.0-6.mga9
+ Revision: 1802238
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1493459
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1265970
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1023393
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 951350
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.5.0-1.mga5
+ Revision: 805345
- imported package perl-Catalyst-Plugin-Static-Simple-ByClass


* Wed Dec 24 2014 Buchan Milne <buchan> 0.005-1mga
- initial mageia release, generated with cpan2dist
